import request from '@/utils/system/request'

// 新增渠道类型
export function ditchAddOne(data) {
    return request({
        url: '/agent-service/ditch/addOne',
        method: 'post',
        data
    })
}

// 删除渠道类型
export function ditchDeleteOne(params) {
    return request({
        url: '/agent-service/ditch/deleteOne',
        method: 'get',
        params
    })
}

// 获取渠道类型列表
export function ditchList(data) {
    return request({
        url: '/agent-service/ditch/list',
        method: 'post',
        data
    })
}

// 修改渠道类型
export function ditchUpdateOne(data) {
    return request({
        url: '/agent-service/ditch/updateOne',
        method: 'post',
        data
    })
}

